#version 450 core

// inputs
in vec4 fragColor;
in vec2 texCoord;

// outputs
out vec4 outColor;

// samplers
uniform sampler2D t_sprite;

void main() {
    outColor = fragColor*texture2D(t_sprite, texCoord);
}